# Suri Browser

Welcome to the official [Suri Browser](https://github.com/Surillya/Suri-Browser)! The Suri Browser is an AI dead internet project, made by Surillyacom Entertainment, as part of the [Dead Internet Hub](#). Its purpose is generating fictional websites using AI purely of just a fictional URL for entertainment purposes.

<p float="left">
    <img src="screenshots/screen1.png" width="300" />
    <img src="screenshots/rentals.png" width="300" />
</p>

## Requirements
- Windows 10 or any major linux distribution.
- Google Chrome, Mozilla Firefox, and Microsoft Edge are supported.
- A GGUF Txt2Txt LLM model (e.g. a Qwen Coder model. Models can be found on [Hugging Face](https://huggingface.co/models)).
- A SafeTemsors Txt2Img LLM model (e.g. Anything Diffusion. Models can be found on [Hugging Face](https://huggingface.co/models)) (optional).
- LLM backend(s) for Text Generation and Automatic1111 ([KoboldCPP](https://github.com/LostRuins/koboldcpp) is recommended and already has it's own version of Automatic1111 included).

## Getting Started
1. Start the LLM backend server(s) with the text and image generation models loaded.
   - Make sure that the API is running and CORS is enabled. If you're using KoboldCPP, you don't have to worry about this.
2. Clone the repository and open the `index.html` file in your browser.

Done.

> 📅 **Note**: If you're using any backend(s) other than KoboldCPP, you may have to change the API, as explained in the [Detailed Features](#features-in-detail) section.

## Features
- **Visually Appealing**: The Suri Browser offers a dark mode only modern layout with modern TailwindCSS tools.
- **Tailwind CSS**: TailwindCSS is the core design framework, guiding every aspect of the webpage, from layout to typography to gradients, shadows, and more.
- **Inline Image Generation**: The Suri Browser generates images in websites inline.
- **Inline Hyperlinks**: The Suri Browser generates links in websites inline on-click.
- **Download Websites**: You can download generated websites from the Suri Browser including images and styling to a single .html file with a single click.
- **RegEx Prompt Changing**: Add regular expressions for certain TLDs or URLs with explainations to give the LLM additional context about TLDs and/or URLs.

## Features in Detail
#### Top Bar
![Top Bar](/screenshots/topbar.png)

In the Top Bar, there are three buttons:
- **Red Button**: With the red button, you can change the API URL for the Automatic1111 API.
- **Yellow Button**: With the yellow button, you can change the API URL for the Text API.
- **Green Button**: With the green button, you can fetch the generate sites content, and download it to a .html file.

> 💡 **Note**: API URLs will be stored in the local storage.

## Roadmap
- [x] Sampler settings adjusted
- [x] URL formatting
- [x] Embedded TailwindCSS
- [x] Generate full websites from URL
- [x] Generate inline images
- [x] Changable API URLs
- [x] Website download function
- [x] Responsive design
- [] Tabs
- [] Themes
- [x] Context-based prompt changing

## Support
If you have any feedback, bugs or suggestions, feel free to reach out over an [issue](https://github.com/Surillya/Suri-Browser/issues) or [email](mailto:contact@surillya.com).

## License
The Suri Browser is licensed under the [Apache 2.0 License](LICENSE).

## Contributing
Feel free to contribute meaningful pull requests to this repository. I'd love your help, but I keep myself the right to remove and/or modify anything that doesn't fit the purpose I'm trying to achieve.

## Credits
- [Tailwind CSS](https://tailwindcss.com/)

```
Copyright &copy; 2025 Surillyacom Entertainment

Thank you for using the Suri Browser. Enjoy your browsing experience!
```